> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a public URL for an API trigger



## OpenAPI

````yaml /openapi/workflows.json post /workflows/api-endpoints
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/api-endpoints:
    post:
      tags:
        - Workflows
      summary: Create a public URL for an API trigger
      operationId: workflows.apiEndpoints.create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowId:
                  type: string
                  format: uuid
                nodeId:
                  type: string
                  minLength: 1
                label:
                  type: string
                  maxLength: 255
                slug:
                  type: string
                  minLength: 3
                  maxLength: 128
              required:
                - workflowId
                - nodeId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  friendlyId:
                    type: string
                  workflowId:
                    type: string
                    format: uuid
                  nodeId:
                    type: string
                  label:
                    anyOf:
                      - type: string
                      - type: 'null'
                  revokedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  lastUsedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  createdAt:
                    type: string
                required:
                  - id
                  - friendlyId
                  - workflowId
                  - nodeId
                  - label
                  - revokedAt
                  - lastUsedAt
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````